%readkau5sg3m.m   5/7/2011
% read Um Mesk SBE SeaGauge #1164 upload data from Oct 2010 recovery 
% 5th deployment
% input *.tid raw upload file
% output jday pressure temperature to kau5sg3m300s.mat
%
% Seagauge time is time at beginning of period
% So central time =time+2.5 min

clear;clf
mooring='Um Mesk 39 4.22166, 22 19.78062';depth=8;%m
instdepth=3;%m
latitude=22+19.78062/60;longitude=39+4.22166/60;
SN='SG1164';

% first remove / and : from the *.tid file with Perl fixseagauge.plx
	perl fixseagauge.plx C:\WHOI\redsea\data\pressure\oct10\uploads\sg1164_Kau_oct10.tid
    
    load fixed.dat; z=fixed; clear fixed
    jdaysg=julian([z(:,4) z(:,2) z(:,3) z(:,5) z(:,6) z(:,7)]);
    prestotalpsi=z(:,8);temp=z(:,9); % pressure total in psi, temperature C
    prestotaldb=prestotalpsi*.6894757;% pressure total in db

% Check SBE 1162 instrument clock at recovery and fix here

% Check Temperature calib

% Remove data before and after the deployment
    st=julian([2010 7 6 8 45 00]); % KAu 5 deploy jul 2010
    et=julian([2010  10 6 10 15 00]); % KAY 5 recover oct 2010 
    n=find(jdaysg<st | jdaysg>et);jdaysg(n)=[];
    prestotalpsi(n)=[];temp(n)=[];prestotaldb(n)=[];
    pres=prestotaldb;
    
%   center the data at the middle of the 5 min time for pressure, % ref Seagauge manual page 31
    jday=jdaysg+2.5/(24*60); % 5 minute data
    
% get barometric pressure, first get file metall.mat
    %load C:\WHOI\redsea\data\met\metall
    %n=find(jdm<jdaysg(1) | jdm>jdaysg(length(jdaysg))+.001);jdm(n)=[];bpm(n)=[];
    %ssp=prestotaldb-bpm/100; % removes atmospheric pressure in db 
    %jdaytc=jday; % for temperature and salinity, a spot measurement

% Plot pressure
    [ax,h1,h2]=plotyy(jday,pres,jday,temp);
    h=title('Um Mesk Bottom Pressure');set(h,'fontsize',12)
    set(ax(1),'ylim',[10.9 11.7],'ytick',[ 11.0 11.2 11.4 11.6],'xtickl',[]);
    set(get(ax(1),'Ylabel'),'String','Pressure db');
    set(ax(2),'Ycolor','r','fontsize',14,'xtickl',[]);set(h2,'color','r');
    set(ax(2),'ylim',[30 35],'ytick',[31 32 33 34 35],'xtickl',[]);

    set(get(ax(2),'Ylabel'),'String','Temperature C');
    grid;gregaxd(jday,30);figure(gcf);
    %wysiwyg
    jdaysg5=jday;tempsg5=temp;pres5=pres;
    
    save kau5sg3m300s mooring jdaysg5 pres5 tempsg5  ...
		 depth instdepth latitude longitude SN 
    print -djpeg kau5sg3m300sec
